Current version of drone-runner-kube crashes

Getting this in our build-runner log:

panic: step not found: run integration tests (master branch only)

goroutine 679 [running]:
github.com/drone/runner-go/pipeline.(*State).find(0xc000511ce0, 0xc000e000f0, 0x2a, 0x13a2480)
	/root/go/pkg/mod/github.com/drone/[email protected]/pipeline/state.go:338 +0x11d
github.com/drone/runner-go/pipeline.(*State).Finished(0xc000511ce0, 0xc000e000f0, 0x2a, 0x251d740)
	/root/go/pkg/mod/github.com/drone/[email protected]/pipeline/state.go:112 +0x53
github.com/drone/runner-go/pipeline/runtime.(*Execer).exec(0xc0003b9e80, 0x17584a0, 0xc0007963c0, 0xc000511ce0, 0x1735b20, 0xc0006f9080, 0x177c080, 0xc0008cf080, 0x0, 0x0)
	/root/go/pkg/mod/github.com/drone/[email protected]/pipeline/runtime/execer.go:190 +0x207
github.com/drone/runner-go/pipeline/runtime.(*Execer).Exec.func2(0xc00016e14c, 0x15dd408)
	/root/go/pkg/mod/github.com/drone/[email protected]/pipeline/runtime/execer.go:82 +0x99
github.com/natessilva/dag.start.func1(0xc00021c120, 0xc000e000f0, 0x2a, 0xc0003cf720)
	/root/go/pkg/mod/github.com/natessilva/[email protected]/runner.go:151 +0x27
created by github.com/natessilva/dag.start
	/root/go/pkg/mod/github.com/natessilva/[email protected]/runner.go:148 +0x5d

The pipeline step looks like this:

- name: run integration tests (master branch only)
  image: python:3.8
  commands:
  - pip install pipenv
  - pipenv install --dev --system --deploy
  - pipenv run python -m pytest tests/integration
  when:
    branch:
    - master

The crashing build ran on a non-master branch - could this be the reason?

We’re really struggling with the kube-runner. I realize that its still “pre-production” stuff, but still… We use “latest” because we need the podAnnotations functionality that isn’t present in the latest versioned image. At the same time, this means that we get a bunch of errors and instabilities from running the latest build-runner image.

It would be so good if the maintainers could release a new tagged version soon, so we could stop using “latest”.

based on your expectations, we recommend using the Docker runner instead. The Docker runner is mature, widely used, and has a stable release cycle. The Kubernetes runner is unstable and is not suitable for production use (as is noted in the documented).

yup, we’re starting to realize the same. Will probably do that, and come back to Kubernetes when it has matured a bit.